#!/usr/bin/python3

import json
import os
import psycopg2
import sys
from psycopg2.extras import RealDictCursor
from importlib.machinery import SourceFileLoader
import reconfigurefews

def deleteParameters(parameterDeletes):
    success = True
    messages = []
    file = open("../.credentials/.postgresadmin")
    connection_string = file.readline()
    pg = psycopg2.connect(connection_string)
    query = pg.cursor(cursor_factory=RealDictCursor)
    try:
        sql = "BEGIN;"
        query.execute(sql)
        parameterkeys = ""
        for parameterkey in parameterDeletes:
            if parameterkeys != '':
                parameterkeys += ","
            parameterkeys += str(parameterkey)
        sql = "DELETE FROM fews.parameterstable WHERE parameterkey IN (" + parameterkeys + ");"
        query.execute(sql)
        reconfigurefews.probeaccess() # an exception here will rollback the transaction
        sql = "COMMIT;"
        query.execute(sql)
        messages = ["Successfully deleted " + str(len(parameterDeletes)) + " parameters"]
        
    except Exception as err:
        success = False
        messages.append(str(err) + ".")
        messages.append("Failed to delete the majisys parameters!")
    return success, messages

contentlength = os.environ.get('CONTENT_LENGTH', 0)
postdata = sys.stdin.read(int(contentlength))
postdata = json.loads(postdata)
ticket = postdata['ticket']
curpath = os.path.dirname(os.path.realpath( __file__ ))
cas = SourceFileLoader("cas", curpath + "/../management/cas.py").load_module()
if cas.authorized(ticket,{"basedata" : "rw"}):
    parameterDeletes = []
    for record in postdata:
        if record == 'ticket':
            continue
        record = postdata[record]
        if 'parameterkey' in record: # delete
            parameterDeletes.append(record['parameterkey'])
    if len(parameterDeletes) > 0:
        success, messages = deleteParameters(parameterDeletes)
    else:
        success = False
        messages = ["Please select at least one parameter to delete."]
else:
    success = False
    messages = ["Not authorized."]

print ("Content-type: application/json")
print ()
if success:
    reconfigurefews.updatefewsxml()
    print("{\"success\": true, \"messages\": " + json.dumps(messages) + "}")
else:
    print("{\"success\": false, \"messages\": " + json.dumps(messages) + "}")

