#!/usr/bin/python3

import json
import os
import psycopg2
import sys
from psycopg2.extras import RealDictCursor
from importlib.machinery import SourceFileLoader

def deleteGroups(groupDeletes):
    success = True
    messages = []
    file = open("../.credentials/.postgresadmin")
    connection_string = file.readline()
    pg = psycopg2.connect(connection_string)
    query = pg.cursor(cursor_factory=RealDictCursor)
    try:
        sql = "BEGIN;"
        query.execute(sql)
        groupkeys = ""
        for groupkey in groupDeletes:
            if groupkeys != '':
                groupkeys += ","
            groupkeys += str(groupkey)
        sql = "DELETE FROM fews.parametergroups WHERE groupkey IN (" + groupkeys + ");"
        query.execute(sql)
        sql = "COMMIT;"
        query.execute(sql)
        messages = ["Successfully deleted " + str(len(groupDeletes)) + " unit definitions"]
        
    except Exception as err:
        success = False
        messages.append(str(err) + ".")
        messages.append("Failed to delete the majisys unit definitions!")
    return success, messages

contentlength = os.environ.get('CONTENT_LENGTH', 0)
postdata = sys.stdin.read(int(contentlength))
postdata = json.loads(postdata)
ticket = postdata['ticket']
curpath = os.path.dirname(os.path.realpath( __file__ ))
cas = SourceFileLoader("cas", curpath + "/../management/cas.py").load_module()
if cas.authorized(ticket,{"basedata" : "rw"}):
    groupDeletes = []
    for record in postdata:
        if record == 'ticket':
            continue
        record = postdata[record]
        if 'groupkey' in record: # delete
            groupDeletes.append(record['groupkey'])
    if len(groupDeletes) > 0:
        success, messages = deleteGroups(groupDeletes)
    else:
        success = False
        messages = ["Please select at least one unit definition to delete."]
else:
    success = False
    messages = ["Not authorized."]

print ("Content-type: application/json")
print ()
if success:
    print("{\"success\": true, \"messages\": " + json.dumps(messages) + "}")
else:
    print("{\"success\": false, \"messages\": " + json.dumps(messages) + "}")

