#!/usr/bin/python3

import cgi
from management import cas
import psycopg2
from psycopg2.extras import RealDictCursor

print ("Content-type: application/json")
print ()

boundsQuery = "SELECT ST_Extent(geom) AS bounds FROM fews.stations;"

params = cgi.FieldStorage()
if 'ticket' in params:
    ticket = params.getvalue('ticket')
    if cas.authorized(ticket,{"basedata" : "r", "analysis": "r"}):
        username = cas.getusername(ticket)
        boundsQuery = "WITH spatialfilter AS \
          (SELECT ST_Union(geom) AS aoi FROM app.user JOIN app.user_spatialfilter USING(userid) JOIN app.spatialfilter USING (gid) \
          WHERE username='" + username + "') \
          SELECT ST_Extent(geom) AS bounds FROM fews.stations \
          JOIN spatialfilter ON ST_Intersects(geom, spatialfilter.aoi)"

file = open(".credentials/.postgres")
connection_string = file.readline()
pg = psycopg2.connect(connection_string)

query = pg.cursor()
query.execute(boundsQuery)

result = str(query.fetchall())
result = result.replace("[('BOX(",'')
result = result.replace(")',)]",'')
result = result.replace(' ',',')
result = result.split(',')
if len(result) != 4:
    result="-180,-85,180,85"
else:
    if result[0] == "-inf" or float(result[0]) < -180:
        result[0] = "-180"
    if result[1] == "-inf" or float(result[1]) < -85:
        result[1] = "-85"
    if result[2] == "inf" or float(result[2]) > 180:
        result[2] = "180"
    if result[3] == "inf" or float(result[3]) > 85:
        result[3] = "85"
    result = ','.join(result)
print ('['+result+']')

