#!/usr/bin/python3

import os
import psycopg2
import json
from psycopg2.extras import RealDictCursor
from importlib.machinery import SourceFileLoader
import cgi

print ("Content-type: application/json")
print ()

params = cgi.FieldStorage()
ticket = params.getvalue('ticket')
curpath = os.path.dirname(os.path.realpath( __file__ ))
cas = SourceFileLoader("cas", curpath + "/../management/cas.py").load_module()
if cas.authorized(ticket,{"crosstabs" : "r"}):
    username = cas.getusername(ticket)

    file = open("../.credentials/.postgres")
    connection_string = file.readline()
    pg = psycopg2.connect(connection_string)

    sql_code = """
        WITH spatialfilter AS (
          SELECT ST_Union(geom) AS aoi
          FROM app.user JOIN app.user_spatialfilter USING(userid) JOIN app.spatialfilter USING (gid)
          WHERE username='%s'
        )
        SELECT DISTINCT p.id AS parameterid, p.name AS parametername, g.displayunit
        FROM fews.parameterstable AS p
        JOIN fews.timeserieskeys AS t USING(parameterkey)
        JOIN fews.parametergroups AS g USING(groupkey)
        JOIN fews.stations AS l ON t.locationkey = l.stationkey
        JOIN spatialfilter ON ST_Intersects(l.geom, spatialfilter.aoi)
        ORDER BY 2;
    """ % (username)

    query = pg.cursor(cursor_factory=RealDictCursor)
    query.execute(sql_code)

    result = json.dumps(query.fetchall())
    print ('{"success":"true", "records":',result.replace("'",'"'),'}')
else:
    print ('{"success":"false", "message":"Not authorized."}')
