#!/usr/bin/python3

import psycopg2
from psycopg2.extras import RealDictCursor
import json

file = open(".credentials/.postgres")
connection_string = file.readline()

sql_code = """
    WITH counts AS (
        SELECT featureclasskey, COUNT(*) AS nrparams 
        FROM fews.parameterstable GROUP BY featureclasskey 
    )
    SELECT f.featureclasskey, f.featureclassname, CASE WHEN c.nrparams is NULL THEN 0 ELSE c.nrparams END AS nrparams
    FROM fews.featureclass AS f LEFT OUTER JOIN counts AS c ON f.featureclasskey = c.featureclasskey 
    ORDER BY f.featureclassname;
"""

pg = psycopg2.connect(connection_string)
query = pg.cursor(cursor_factory=RealDictCursor)
query.execute(sql_code)

result = json.dumps(query.fetchall())

print ("Content-type: application/json")
print ()
print ('{"records":',result.replace("'",'"'),'}')
