from datetime import datetime
from datetime import timedelta
import numpy as np
from scipy.stats.kde import gaussian_kde

def title():
    return "Probability Density Function"

def abstract():
    return "Retrieves a timesseries and determines the probability density fucntion. Returns the probability density function. The method used is gaussian Kernel density estimator."

def inputs():
    return [['startdate','Start date for data collection','string'],
            ['enddate','End date for data collection','string'],
            ['parameterid','Parameter ID','string'],
            ['locations','Locations selected for probability density plot','string']]

def process(identifier, parameters, records):
    values = []
    for record in records:
        values.append(record['value'])
    newrecords = []
    try:
        KDEpdf = gaussian_kde(values)
        x_vals = list(np.linspace(np.min(values), np.max(values), 1000))
        y_vals = KDEpdf(x_vals)
        for i in range(1000):
            newrecord = {}
            newrecord['date'] = x_vals[i]
            newrecord['value'] = y_vals[i]
            newrecords.append(newrecord)
        return newrecords
    except ValueError:
        for record in records:
            record['date'] = record['value']
            record['value'] = 1
        return records

