#!/usr/bin/python3

import psycopg2
from psycopg2.extras import RealDictCursor
import cgi
import os, sys
from importlib.machinery import SourceFileLoader
from datetime import datetime
import json
from decode import token_decode
import cas
import encode

curpath = os.path.dirname(os.path.realpath( __file__ ))
jwt = SourceFileLoader("jwt", curpath + "/jwt.py").load_module()
data = sys.stdin.read(int(os.environ.get('CONTENT_LENGTH', 0)))
params = json.loads(str(data))
logindata = token_decode(params['logindata'])
params = json.loads(logindata)
username = params['username']
passwd = params['passwd']

if username is None:
    username = ''
    
if passwd is None:
    passwd = ''

file = open("../.credentials/.postgres")
connection_string = file.readline()

sql_code = "SELECT * FROM app.user WHERE username = '%s';" % (username)
pg = psycopg2.connect(connection_string)
query = pg.cursor(cursor_factory=RealDictCursor)

query.execute(sql_code)

print ("Content-type: application/json; charset=utf-8")
print ()

if query.rowcount == 1:
    record = query.fetchall()
    dbpasswd = record[0]['passwd']
    if len(dbpasswd) == 0:
        file = open(curpath + "/../.credentials/.jwt")
        jwt_secret = file.readline()
        payload = {
            'user': username, 
            'roleid': -1,
            'timestamp': str(datetime.now()),
            'ip': str(cgi.escape(os.environ["REMOTE_ADDR"]))
        }
        response = '"user" : "' + payload['user'] + '", "roleid" : "' + str(payload['roleid']) + '"'
        ticket = jwt.jwt_encode(payload, jwt_secret, 'HS256')
        cas.login(ticket)
        print ()
        print ('{"success" : true, "ticket" : "' + ticket + '", ' + response + '}')
    elif encode.md5encode(passwd) == dbpasswd:
        file = open(curpath + "/../.credentials/.jwt")
        jwt_secret = file.readline()
        payload = {
            'user': username, 
            'roleid': record[0]['roleid'],
            'timestamp': str(datetime.now()),
            'ip': str(cgi.escape(os.environ["REMOTE_ADDR"]))
        }
        response = '"user" : "' + payload['user'] + '", "roleid" : "' + str(payload['roleid']) + '"'
        ticket = jwt.jwt_encode(payload, jwt_secret, 'HS256')
        cas.login(ticket)
        print ()
        print ('{"success" : true, "ticket" : "' + ticket + '", ' + response + '}')
    else:
        print ('{"success" : false, "message" : "Incorrect user or password."}')
else:
    print ('{"success" : false, "message" : "Incorrect user or password."}')

