#!/usr/bin/python3

import psycopg2
from psycopg2.extras import RealDictCursor
import json

file = open("../.credentials/.postgres")
connection_string = file.readline()

sql_code = """
    (SELECT c.itemid, initcap(p.text || ' &rarr; ' || c.text) AS itemname, c.position, c.parentid, c.modulename 
    FROM app.navtree as c
    JOIN app.navtree AS p ON c.parentid = p.itemid
    ) UNION (
    SELECT p.itemid, initcap(p.text) AS itemname, p.position, p.parentid, p.modulename
    FROM app.navtree AS p
    WHERE p.parentid = 0 AND itemid <> 1 AND children = FALSE)    
"""
pg = psycopg2.connect(connection_string)
query = pg.cursor(cursor_factory=RealDictCursor)

query.execute(sql_code)

print ("Content-type: application/json; charset=utf-8")
print ()
print ('{"success" : true, "menuitems" : ' + json.dumps(query.fetchall(),sort_keys=True) + '}')
