#!/usr/bin/python3

import psycopg2
from psycopg2.extras import RealDictCursor
import json

file = open("../.credentials/.postgres")
connection_string = file.readline()

sql_code = """
    WITH t AS (
      (SELECT c.itemid, p.text || ' &rarr; ' || c.text AS itemname, c.position, c.parentid 
      FROM app.navtree as c
      JOIN app.navtree AS p ON c.parentid = p.itemid
      ) UNION (
      SELECT p.itemid, p.text AS itemname, p.position, p.parentid
      FROM app.navtree AS p
      WHERE p.parentid = 0 AND p.children = FALSE)    
    ),
    m AS (
      SELECT n.roleid, t.itemid, t.itemname, t.position, t.parentid, n.readwrite 
      FROM t JOIN app.role_navtree AS n USING(itemid)
    )
    SELECT r.*,
      json_agg(row_to_json((
        SELECT list  
        FROM (SELECT m.itemid, initcap(m.itemname) AS itemname, m.position, m.parentid, m.readwrite) AS list 
      ))) AS menuitems 
    FROM m JOIN app.role AS r USING(roleid)
    GROUP BY 1, 2, 3
    ORDER BY r.rolename
"""
pg = psycopg2.connect(connection_string)
query = pg.cursor(cursor_factory=RealDictCursor)

query.execute(sql_code)

result = json.dumps(query.fetchall(),sort_keys=True)
# unescape json from sql json_agg (not required in newer psycopg2 versions)
result = result.replace('\\n','').replace('\\','').replace('"[','[').replace(']"',']').replace('"{','{').replace('}"','}')

print ("Content-type: application/json; charset=utf-8")
print ()
print ('{"success" : true, "roles" : ' + result + '}')
