#!/usr/bin/python3

import psycopg2
from psycopg2.extras import RealDictCursor
import json

file = open("../.credentials/.postgres")
connection_string = file.readline()

# sql_code = "SELECT userid, username, fullname, roleid, email, '' AS filter FROM app.user ORDER BY 2;"
sql_code = """
    WITH sf AS (
      SELECT s.userid, f.gid, f.areaname 
      FROM app.spatialfilter AS f JOIN app.user_spatialfilter AS s USING(gid)
    )    
    SELECT u.userid, u.username, u.fullname, u.roleid, u.email, 
      json_agg(row_to_json((
        SELECT list 
        FROM (SELECT sf.gid, initcap(sf.areaname) AS areaname) AS list
      ))) AS spatialfilters
    FROM app.user AS u LEFT OUTER JOIN sf USING(userid)
    GROUP BY 1, 2, 3, 4, 5
    ORDER BY 2
"""
pg = psycopg2.connect(connection_string)
query = pg.cursor(cursor_factory=RealDictCursor)

query.execute(sql_code)

result = json.dumps(query.fetchall(),sort_keys=True)
# unescape json from sql json_agg (not required in newer psycopg2 versions)
result = result.replace('\\n','').replace('\\','').replace('"[','[').replace(']"',']').replace('"{','{').replace('}"','}')

print ("Content-type: application/json; charset=utf-8")
print ()
print ('{"success" : true, "users" : ' + result + '}')
