#!/usr/bin/python3

itemValueType = {}
itemValueType[0] = "Instantaneous"
itemValueType[1] = "Accumulated"
itemValueType[2] = "Step_Accumulated"
itemValueType[3] = "Mean_Step_Accumulated"
itemValueType[4] = "Reverse_Mean_Step_Accumulated"

eumTypes = {}
eumTypes[0x000186A0] = "eumIWaterLevel"
eumTypes[0x000186A1] = "eumIDischarge"
eumTypes[0x000186A2] = "eumIWindVelocity"
eumTypes[0x000186A3] = "eumIWindDirection"
eumTypes[0x000186A4] = "eumIRainfall"
eumTypes[0x000186A5] = "eumIEvaporation"
eumTypes[0x000186A6] = "eumITemperature"
eumTypes[0x000186A7] = "eumIConcentration"
eumTypes[0x000186A8] = "eumIBacteriaConc"
eumTypes[0x000186A9] = "eumIResistFactor"
eumTypes[0x000186AA] = "eumISedimentTransport"
eumTypes[0x000186AB] = "eumIBottomLevel"
eumTypes[0x000186AC] = "eumIBottomLevelChange"
eumTypes[0x000186AD] = "eumISedimentFraction"
eumTypes[0x000186AE] = "eumISedimentFractionChange"
eumTypes[0x000186AF] = "eumIGateLevel"
eumTypes[0x000186B0] = "eumIFlowVelocity"
eumTypes[0x000186B1] = "eumIDensity"
eumTypes[0x000186B2] = "eumIDamBreachLevel"
eumTypes[0x000186B3] = "eumIDamBreachWidth"
eumTypes[0x000186B4] = "eumIDamBreachSlope"
eumTypes[0x000186B5] = "eumISunShine"
eumTypes[0x000186B6] = "eumISunRadiation"
eumTypes[0x000186B7] = "eumIRelativeHumidity"
eumTypes[0x000186B8] = "eumISalinity"
eumTypes[0x000186B9] = "eumISurfaceSlope"
eumTypes[0x000186BA] = "eumIFlowArea"
eumTypes[0x000186BB] = "eumIFlowWidth"
eumTypes[0x000186BC] = "eumIHydraulicRadius"
eumTypes[0x000186BD] = "eumIResistanceRadius"
eumTypes[0x000186BE] = "eumIManningsM"
eumTypes[0x000186BF] = "eumIManningsn"
eumTypes[0x000186C0] = "eumIChezyNo"
eumTypes[0x000186C1] = "eumIConveyance"
eumTypes[0x000186C2] = "eumIFroudeNo"
eumTypes[0x000186C3] = "eumIWaterVolume"
eumTypes[0x000186C4] = "eumIFloodedArea"
eumTypes[0x000186C5] = "eumIWaterVolumeError"
eumTypes[0x000186C6] = "eumIAccWaterVolumeError"
eumTypes[0x000186C7] = "eumICompMass"
eumTypes[0x000186C8] = "eumICompMassError"
eumTypes[0x000186C9] = "eumIAccCompMassError"
eumTypes[0x000186CA] = "eumIRelCompMassError"
eumTypes[0x000186CB] = "eumIRelAccCompMassError"
eumTypes[0x000186CC] = "eumICompDecay"
eumTypes[0x000186CD] = "eumIAccCompDecay"
eumTypes[0x000186CE] = "eumICompTransp"
eumTypes[0x000186CF] = "eumIAccCompTransp"
eumTypes[0x000186D0] = "eumICompDispTransp"
eumTypes[0x000186D1] = "eumIAccCompDispTransp"
eumTypes[0x000186D2] = "eumICompConvTransp"
eumTypes[0x000186D3] = "eumIAccCompConvTransp"
eumTypes[0x000186D4] = "eumIAccSedimentTransport"
eumTypes[0x000186D5] = "eumIDuneLength"
eumTypes[0x000186D6] = "eumIDuneHeight"
eumTypes[0x000186D7] = "eumIBedSedimentLoad"
eumTypes[0x000186D8] = "eumISuspSedimentLoad"
eumTypes[0x000186D9] = "eumIIrrigation"
eumTypes[0x000186DA] = "eumIRelMoistureCont"
eumTypes[0x000186DB] = "eumIGroundWaterDepth"
eumTypes[0x000186DC] = "eumISnowCover"
eumTypes[0x000186DD] = "eumIInfiltration"
eumTypes[0x000186DE] = "eumIRecharge"
eumTypes[0x000186DF] = "eumIOF1_Flow"
eumTypes[0x000186E0] = "eumIIF1_Flow"
eumTypes[0x000186E1] = "eumICapillaryFlux"
eumTypes[0x000186E2] = "eumISurfStorage_OF1"
eumTypes[0x000186E3] = "eumISurfStorage_OF0"
eumTypes[0x000186E4] = "eumISedimentLayer"
eumTypes[0x000186E5] = "eumIBedLevel"
eumTypes[0x000186E6] = "eumIRainfallIntensity"
eumTypes[0x000186E7] = "eumIproductionRate"
eumTypes[0x000186E8] = "eumIsedimentMass"
eumTypes[0x000186E9] = "eumIprimaryProduction"
eumTypes[0x000186EA] = "eumIprodPerVolume"
eumTypes[0x000186EB] = "eumIsecchiDepth"
eumTypes[0x000186EC] = "eumIAccSedimentMass"
eumTypes[0x000186ED] = "eumISedimentMassPerM"
eumTypes[0x000186EE] = "eumISurfaceElevation"
eumTypes[0x000186EF] = "eumIBathymetry"
eumTypes[0x000186F0] = "eumIFlowFlux"
eumTypes[0x000186F1] = "eumIBedLoadPerM"
eumTypes[0x000186F2] = "eumISuspLoadPerM"
eumTypes[0x000186F3] = "eumISediTransportPerM"
eumTypes[0x000186F4] = "eumIWaveHeight"
eumTypes[0x000186F5] = "eumIWavePeriod"
eumTypes[0x000186F6] = "eumIWaveFrequency"
eumTypes[0x000186F7] = "eumIPotentialEvapRate"
eumTypes[0x000186F8] = "eumIRainfallRate"
eumTypes[0x000186F9] = "eumIWaterDemand"
eumTypes[0x000186FA] = "eumIReturnFlowFraction"
eumTypes[0x000186FB] = "eumILinearRoutingCoef"
eumTypes[0x000186FC] = "eumISpecificRunoff"
eumTypes[0x000186FD] = "eumIMachineEfficiency"
eumTypes[0x000186FE] = "eumITargetPower"
eumTypes[0x000186FF] = "eumIWaveDirection"
eumTypes[0x00018700] = "eumIAccSediTransportPerM"
eumTypes[0x00018701] = "eumISignificantWaveHeight"
eumTypes[0x00018702] = "eumIShieldsParameter"
eumTypes[0x00018703] = "eumIAngleBedVelocity"
eumTypes[0x00018704] = "eumIProfileNumber"
eumTypes[0x00018705] = "eumIClimateNumber"
eumTypes[0x00018706] = "eumISpectralDescription"
eumTypes[0x00018707] = "eumISpreadingFactor"
eumTypes[0x00018708] = "eumIRefPointNumber"
eumTypes[0x00018709] = "eumIWindFrictionFactor"
eumTypes[0x0001870A] = "eumIWaveDisturbanceCoefficient"
eumTypes[0x0001870B] = "eumITimeFirstWaveArrival"
eumTypes[0x0001870C] = "eumISurfaceCurvature"
eumTypes[0x0001870D] = "eumIRadiationStress"
eumTypes[0x00018718] = "eumISpectralDensity"
eumTypes[0x00018719] = "eumIFreqIntegSpectralDensity"
eumTypes[0x0001871A] = "eumIDirecIntegSpectralDensity"
eumTypes[0x0001871B] = "eumIEddyViscosity"
eumTypes[0x0001871C] = "eumIDSD"
eumTypes[0x0001871D] = "eumIBeachPosition"
eumTypes[0x0001871E] = "eumITrenchPosition"
eumTypes[0x0001871F] = "eumIGrainDiameter"
eumTypes[0x00018720] = "eumIFallVelocity"
eumTypes[0x00018721] = "eumIGeoDeviation"
eumTypes[0x00018722] = "eumIBreakingWave"
eumTypes[0x00018723] = "eumIDunePosition"
eumTypes[0x00018724] = "eumIContourAngle"
eumTypes[0x00018725] = "eumIFlowDirection"
eumTypes[0x00018726] = "eumIBedSlope"
eumTypes[0x00018727] = "eumISurfaceArea"
eumTypes[0x00018728] = "eumICatchmentArea"
eumTypes[0x00018729] = "eumIRoughness"
eumTypes[0x0001872A] = "eumIActiveDepth"
eumTypes[0x0001872B] = "eumISedimentGradation"
eumTypes[0x0001872C] = "eumIGroundwaterRecharge"
eumTypes[0x0001872D] = "eumISoluteFlux"
eumTypes[0x0001872E] = "eumIRiverStructGeo"
eumTypes[0x0001872F] = "eumIRiverChainage"
eumTypes[0x00018730] = "eumINonDimFactor"
eumTypes[0x00018731] = "eumINonDimExp"
eumTypes[0x00018732] = "eumIStorageDepth"
eumTypes[0x00018733] = "eumIRiverWidth"
eumTypes[0x00018734] = "eumIFlowRoutingTimeCnst"
eumTypes[0x00018735] = "eumIFstOrderRateAD"
eumTypes[0x00018736] = "eumIFstOrderRateWQ"
eumTypes[0x00018737] = "eumIEroDepoCoef"
eumTypes[0x00018738] = "eumIShearStress"
eumTypes[0x00018739] = "eumIDispCoef"
eumTypes[0x0001873A] = "eumIDispFact"
eumTypes[0x0001873B] = "eumISedimentVolumePerLengthUnit"
eumTypes[0x0001873C] = "eumIKinematicViscosity"
eumTypes[0x0001873D] = "eumILatLong"
eumTypes[0x0001873E] = "eumISpecificGravity"
eumTypes[0x0001873F] = "eumITransmissionCoefficient"
eumTypes[0x00018740] = "eumIReflectionCoefficient"
eumTypes[0x00018741] = "eumIFrictionFactor"
eumTypes[0x00018742] = "eumIRadiationIntensity"
eumTypes[0x00018743] = "eumIDuration"
eumTypes[0x00018744] = "eumIRespProdPerArea"
eumTypes[0x00018745] = "eumIRespProdPerVolume"
eumTypes[0x00018746] = "eumISedimentDepth"
eumTypes[0x00018747] = "eumIAngleOfRespose"
eumTypes[0x00018748] = "eumIHalfOrderRateWQ"
eumTypes[0x00018749] = "eumIRearationConstant"
eumTypes[0x0001874A] = "eumIDepositionRate"
eumTypes[0x0001874B] = "eumIBODAtRiverBed"
eumTypes[0x0001874C] = "eumICropDemand"
eumTypes[0x0001874D] = "eumIIrrigatedArea"
eumTypes[0x0001874E] = "eumILiveStockDemand"
eumTypes[0x0001874F] = "eumINumberOfLiveStock"
eumTypes[0x00018750] = "eumITotalGas"
eumTypes[0x00018751] = "eumIGroundWaterAbstraction"
eumTypes[0x00018752] = "eumIMeltingCoefficient"
eumTypes[0x00018753] = "eumIRainMeltingCoefficient"
eumTypes[0x00018754] = "eumIElevation"
eumTypes[0x00018755] = "eumICrossSectionXdata"
eumTypes[0x00018756] = "eumIVegetationHeight"
eumTypes[0x00018757] = "eumIGeographicalCoordinate"
eumTypes[0x00018758] = "eumIAngle"
eumTypes[0x00018759] = "eumIItemGeometry0D"
eumTypes[0x0001875A] = "eumIItemGeometry1D"
eumTypes[0x0001875B] = "eumIItemGeometry2D"
eumTypes[0x0001875C] = "eumIItemGeometry3D"
eumTypes[0x0001875D] = "eumITemperatureLapseRate"
eumTypes[0x0001875E] = "eumICorrectionOfPrecipitation"
eumTypes[0x0001875F] = "eumITemperatureCorrection"
eumTypes[0x00018760] = "eumIPrecipitationCorrection"
eumTypes[0x00018761] = "eumIMaxWater"
eumTypes[0x00018762] = "eumILowerBaseflow"
eumTypes[0x00018763] = "eumIMassFlux"
eumTypes[0x00018764] = "eumIPressureSI"
eumTypes[0x00018765] = "eumITurbulentKineticEnergy"
eumTypes[0x00018766] = "eumIDissipationTKE"
eumTypes[0x00018767] = "eumISaltFlux"
eumTypes[0x00018768] = "eumITemperatureFlux"
eumTypes[0x00018769] = "eumIConcentration1"
eumTypes[0x0001876A] = "eumILatentHeat"
eumTypes[0x0001876B] = "eumIHeatFlux"
eumTypes[0x0001876C] = "eumISpecificHeat"
eumTypes[0x0001876D] = "eumIVisibility"
eumTypes[0x0001876E] = "eumIIceThickness"
eumTypes[0x0001876F] = "eumIStructureGeometryPerTime"
eumTypes[0x00018770] = "eumIDischargePerTime"
eumTypes[0x00018771] = "eumIFetchLength"
eumTypes[0x00018772] = "eumIRubbleMound"
eumTypes[0x00018773] = "eumIGridSpacing"
eumTypes[0x00018774] = "eumITimeStep"
eumTypes[0x00018775] = "eumILenghtScale"
eumTypes[0x00018776] = "eumIErosionCoefficientFactor"
eumTypes[0x00018777] = "eumIFrictionCoeffient"
eumTypes[0x00018778] = "eumITransitionRate"
eumTypes[0x00018779] = "eumIDistance"
eumTypes[0x0001877A] = "eumITimeCorrectionAtNoon"
eumTypes[0x0001877B] = "eumICriticalVelocity"
eumTypes[0x0001877C] = "eumILightExtinctionBackground"
eumTypes[0x0001877D] = "eumIParticleProductionRate"
eumTypes[0x0001877E] = "eumIFirstOrderGrazingRateDependance"
eumTypes[0x0001877F] = "eumIResuspensionRate"
eumTypes[0x00018780] = "eumIAdsorptionCoefficient"
eumTypes[0x00018781] = "eumIDesorptionCoefficient"
eumTypes[0x00018782] = "eumISedimentationVelocity"
eumTypes[0x00018783] = "eumIBoundaryLayerThickness"
eumTypes[0x00018784] = "eumIDiffusionCoefficient"
eumTypes[0x00018785] = "eumIBioconcentrationFactor"
eumTypes[0x00018786] = "eumIFcoliConcentration"
eumTypes[0x00018787] = "eumISpecificDischarge"
eumTypes[0x00018788] = "eumIPrecipitation"
eumTypes[0x00018789] = "eumISpecificPrecipitation"
eumTypes[0x0001878A] = "eumIPower"
eumTypes[0x0001878B] = "eumIConveyanceLoss"
eumTypes[0x0001878C] = "eumIInfiltrationFlux"
eumTypes[0x0001878D] = "eumIEvaporationFlux"
eumTypes[0x0001878E] = "eumIGroundWaterAbstractionFlux"
eumTypes[0x0001878F] = "eumIFraction"
eumTypes[0x00018790] = "eumIYieldfactor"
eumTypes[0x00018791] = "eumISpecificSoluteFluxPerArea"
eumTypes[0x00018792] = "eumICurrentSpeed"
eumTypes[0x00018793] = "eumICurrentDirection"
eumTypes[0x00018794] = "eumICurrentMagnitude"
eumTypes[0x00018795] = "eumIPistonPosition"
eumTypes[0x00018796] = "eumISubPistonPosition"
eumTypes[0x00018797] = "eumISupPistonPosition"
eumTypes[0x00018798] = "eumIFlapPosition"
eumTypes[0x00018799] = "eumISubFlapPosition"
eumTypes[0x0001879A] = "eumISupFlapPosition"
eumTypes[0x0001879B] = "eumILengthZeroCrossing"
eumTypes[0x0001879C] = "eumITimeZeroCrossing"
eumTypes[0x0001879D] = "eumILengthLoggedData"
eumTypes[0x0001879E] = "eumIForceLoggedData"
eumTypes[0x0001879F] = "eumISpeedLoggedData"
eumTypes[0x000187A0] = "eumIVolumeFlowLoggedData"
eumTypes[0x000187A1] = "eumI2DSurfaceElevationSpectrum"
eumTypes[0x000187A2] = "eumI3DSurfaceElevationSpectrum"
eumTypes[0x000187A3] = "eumIDirectionalSpreadingFunction"
eumTypes[0x000187A4] = "eumIAutoSpectrum"
eumTypes[0x000187A5] = "eumICrossSpectrum"
eumTypes[0x000187A6] = "eumICoherenceSpectrum"
eumTypes[0x000187A7] = "eumICoherentSpectrum"
eumTypes[0x000187A8] = "eumIFrequencyResponseSpectrum"
eumTypes[0x000187A9] = "eumIPhaseSpectrum"
eumTypes[0x000187AA] = "eumIFIRCoefficient"
eumTypes[0x000187AB] = "eumIFourierACoefficient"
eumTypes[0x000187AC] = "eumIFourierBCoefficient"
eumTypes[0x000187AD] = "eumIuVelocity"
eumTypes[0x000187AE] = "eumIvVelocity"
eumTypes[0x000187AF] = "eumIwVelocity"
eumTypes[0x000187B0] = "eumIBedThickness"
eumTypes[0x000187B1] = "eumIDispersionVelocityFactor"
eumTypes[0x000187B2] = "eumIWindSpeed"
eumTypes[0x000187B3] = "eumIShoreCurrentZone"
eumTypes[0x000187B4] = "eumIDepthofWind"
eumTypes[0x000187B5] = "eumIEmulsificationConstantK1"
eumTypes[0x000187B6] = "eumIEmulsificationConstantK2"
eumTypes[0x000187B7] = "eumILightExtinction"
eumTypes[0x000187B8] = "eumIWaterDepth"
eumTypes[0x000187B9] = "eumIReferenceSettlingVelocity"
eumTypes[0x000187BA] = "eumIPhaseError"
eumTypes[0x000187BB] = "eumILevelAmplitudeError"
eumTypes[0x000187BC] = "eumIDischargeAmplitudeError"
eumTypes[0x000187BD] = "eumILevelCorrection"
eumTypes[0x000187BE] = "eumIDischargeCorrection"
eumTypes[0x000187BF] = "eumILevelSimulated"
eumTypes[0x000187C0] = "eumIDischargeSimulated"
eumTypes[0x000187C1] = "eumISummQCorrected"
eumTypes[0x000187C2] = "eumITimeScale"
eumTypes[0x000187C3] = "eumISpongeCoefficient"
eumTypes[0x000187C4] = "eumIPorosityCoefficient"
eumTypes[0x000187C5] = "eumIFilterCoefficient"
eumTypes[0x000187C6] = "eumISkewness"
eumTypes[0x000187C7] = "eumIAsymmetry"
eumTypes[0x000187C8] = "eumIAtiltness"
eumTypes[0x000187C9] = "eumIKurtosis"
eumTypes[0x000187CA] = "eumIAuxiliaryVariableW"
eumTypes[0x000187CB] = "eumIRollerThickness"
eumTypes[0x000187CC] = "eumILineThickness"
eumTypes[0x000187CD] = "eumIMarkerSize"
eumTypes[0x000187CE] = "eumIRollerCelerity"
eumTypes[0x000187CF] = "eumIEncroachmentOffset"
eumTypes[0x000187D0] = "eumIEncroachmentPosition"
eumTypes[0x000187D1] = "eumIEncroachmentWidth"
eumTypes[0x000187D2] = "eumIConveyanceReduction"
eumTypes[0x000187D3] = "eumIWaterLevelChange"
eumTypes[0x000187D4] = "eumIEnergyLevelChange"
eumTypes[0x000187D5] = "eumIParticleVelocityU"
eumTypes[0x000187D6] = "eumIParticleVelocityV"
eumTypes[0x000187D7] = "eumIAreaFraction"
eumTypes[0x000187D8] = "eumICatchmentSlope"
eumTypes[0x000187D9] = "eumIAverageLength"
eumTypes[0x000187DA] = "eumIPersonEqui"
eumTypes[0x000187DB] = "eumIInverseExpo"
eumTypes[0x000187DC] = "eumITimeShift"
eumTypes[0x000187DD] = "eumIAttenuation"
eumTypes[0x000187DE] = "eumIPopulation"
eumTypes[0x000187DF] = "eumIIndustrialOutput"
eumTypes[0x000187E0] = "eumIAgriculturalArea"
eumTypes[0x000187E1] = "eumIPopulationUsage"
eumTypes[0x000187E2] = "eumIIndustrialUse"
eumTypes[0x000187E3] = "eumIAgriculturalUsage"
eumTypes[0x000187E4] = "eumILayerThickness"
eumTypes[0x00018801] = "eumIPressureHead"
eumTypes[0x00018802] = "eumIKC"
eumTypes[0x00018803] = "eumIAroot"
eumTypes[0x00018804] = "eumIC1"
eumTypes[0x00018805] = "eumIC2"
eumTypes[0x00018806] = "eumIC3"
eumTypes[0x00018807] = "eumIIrrigationDemand"
eumTypes[0x00018808] = "eumIHydrTransmissivity"
eumTypes[0x00018809] = "eumIDarcyVelocity"
eumTypes[0x0001880A] = "eumIHydrLeakageCoefficient"
eumTypes[0x0001880B] = "eumIHydrConductance"
eumTypes[0x0001880C] = "eumIHeightAboveGround"
eumTypes[0x0001880D] = "eumIPumpingRate"
eumTypes[0x0001880E] = "eumIDepthBelowGround"
eumTypes[0x0001880F] = "eumICellHeight"
eumTypes[0x00018810] = "eumIHeadGradient"
eumTypes[0x00018811] = "eumIGroundWaterFlowVelocity"
eumTypes[0x00018812] = "eumIIntegerCode"
eumTypes[0x00018813] = "eumIDrainageTimeConstant"
eumTypes[0x00018814] = "eumIHeadElevation"
eumTypes[0x00018815] = "eumILengthError"
eumTypes[0x00018816] = "eumIElasticStorage"
eumTypes[0x00018817] = "eumISpecificYield"
eumTypes[0x00018818] = "eumIExchangeRate"
eumTypes[0x00018819] = "eumIVolumetricWaterContent"
eumTypes[0x0001881A] = "eumIStorageChangeRate"
eumTypes[0x0001881B] = "eumISeepage"
eumTypes[0x0001881C] = "eumIRootDepth"
eumTypes[0x0001881D] = "eumIRillDepth"
eumTypes[0x0001881E] = "eumILogical"
eumTypes[0x0001881F] = "eumILAI"
eumTypes[0x00018820] = "eumIIrrigationRate"
eumTypes[0x00018821] = "eumIIrrigationIndex"
eumTypes[0x00018822] = "eumIInterception"
eumTypes[0x00018823] = "eumIETRate"
eumTypes[0x00018824] = "eumIErosionSurfaceLoad"
eumTypes[0x00018825] = "eumIErosionConcentration"
eumTypes[0x00018826] = "eumIEpsilonUZ"
eumTypes[0x00018827] = "eumIDrainage"
eumTypes[0x00018828] = "eumIDeficit"
eumTypes[0x00018829] = "eumICropYield"
eumTypes[0x0001882A] = "eumICropType"
eumTypes[0x0001882B] = "eumICropStress"
eumTypes[0x0001882C] = "eumICropStage"
eumTypes[0x0001882D] = "eumICropLoss"
eumTypes[0x0001882E] = "eumICropIndex"
eumTypes[0x0001882F] = "eumIAge"
eumTypes[0x00018830] = "eumIHydrConductivity"
eumTypes[0x00018831] = "eumIPrintScaleEquivalence"
eumTypes[0x00018832] = "eumIConcentration_1"
eumTypes[0x00018833] = "eumIConcentration_2"
eumTypes[0x00018834] = "eumIConcentration_3"
eumTypes[0x00018835] = "eumIConcentration_4"
eumTypes[0x00018836] = "eumISedimentDiameter"
eumTypes[0x00018837] = "eumIMeanWaveDirection"
eumTypes[0x00018838] = "eumIFlowDirection_1"
eumTypes[0x00018839] = "eumIAirPressure"
eumTypes[0x0001883A] = "eumIDecayFactor"
eumTypes[0x0001883B] = "eumISedimentBedDensity"
eumTypes[0x0001883C] = "eumIDispersionCoefficient"
eumTypes[0x0001883D] = "eumIFlowVelocityProfile"
eumTypes[0x0001883E] = "eumIHabitatIndex"
eumTypes[0x0001883F] = "eumIAngle2"
eumTypes[0x00018840] = "eumIHydraulicLength"
eumTypes[0x00018841] = "eumISCSCatchSlope"
eumTypes[0x00018842] = "eumITurbidity_FTU"
eumTypes[0x00018843] = "eumITurbidity_MgPerL"
eumTypes[0x00018844] = "eumIBacteriaFlow"
eumTypes[0x00018845] = "eumIBedDistribution"
eumTypes[0x00018846] = "eumISurfaceElevationAtPaddle"
eumTypes[0x00018847] = "eumIUnitHydrographOrdinate"
eumTypes[0x00018848] = "eumITransferRate"
eumTypes[0x00018849] = "eumIReturnPeriod"
eumTypes[0x0001884A] = "eumIConstFallVelocity"
eumTypes[0x0001884B] = "eumIDepositionConcFlux"
eumTypes[0x0001884C] = "eumISettlingVelocityCoef"
eumTypes[0x0001884D] = "eumIErosionCoefficient"
eumTypes[0x0001884E] = "eumIVolumeFlux"
eumTypes[0x0001884F] = "eumIPrecipitationRate"
eumTypes[0x00018850] = "eumIEvaporationRate"
eumTypes[0x00018851] = "eumICoSpectrum"
eumTypes[0x00018852] = "eumIQuadSpectrum"
eumTypes[0x00018853] = "eumIPropagationDirection"
eumTypes[0x00018854] = "eumIDirectionalSpreading"
eumTypes[0x00018855] = "eumIMassPerUnitArea"
eumTypes[0x00018856] = "eumIIncidentSpectrum"
eumTypes[0x00018857] = "eumIReflectedSpectrum"
eumTypes[0x00018858] = "eumIReflectionFunction"
eumTypes[0x00018859] = "eumIBacteriaFlux"
eumTypes[0x0001885A] = "eumIHeadDifference"
eumTypes[0x0001885B] = "eumIenergy"
eumTypes[0x0001885C] = "eumIDirStdDev"
eumTypes[0x0001885D] = "eumIRainfallDepth"
eumTypes[0x0001885F] = "eumIEvaporationIntesity"
eumTypes[0x00018860] = "eumILongitudinalInfiltration"
eumTypes[0x00018861] = "eumIPollutantLoad"
eumTypes[0x00018862] = "eumIPressure"
eumTypes[0x00018863] = "eumICostPerTime"
eumTypes[0x00018864] = "eumIMass"
eumTypes[0x00018865] = "eumIMassPerTime"
eumTypes[0x00018866] = "eumIMassPerAreaPerTime"
eumTypes[0x00018867] = "eumIKd"
eumTypes[0x00018868] = "eumIPorosity"
eumTypes[0x00018869] = "eumIHalfLife"
eumTypes[0x0001886A] = "eumIDispersivity"
eumTypes[0x000003E7] = "eumIItemUndefined"
eumTypes[0x0001ADB1] = "eumIDiverteddischarge"
eumTypes[0x0001ADB2] = "eumIDemandcarryoverfraction"
eumTypes[0x0001ADB3] = "eumIGroundwaterdemand"
eumTypes[0x0001ADB4] = "eumIDamcrestlevel"
eumTypes[0x0001ADB5] = "eumISeepageflux"
eumTypes[0x0001ADB6] = "eumISeepagefraction"
eumTypes[0x0001ADB7] = "eumIEvaporationfraction"
eumTypes[0x0001ADB8] = "eumIResidencetime"
eumTypes[0x0001ADB9] = "eumIOwnedfractionofinflow"
eumTypes[0x0001ADBA] = "eumIOwnedfractionofvolume"
eumTypes[0x0001ADBB] = "eumIReductionlevel"
eumTypes[0x0001ADBC] = "eumIReductionthreshold"
eumTypes[0x0001ADBD] = "eumIReductionfraction"
eumTypes[0x0001ADBE] = "eumITotalLosses"
eumTypes[0x0001ADBF] = "eumICountsPerLiter"
eumTypes[0x0001ADC0] = "eumIAssimilativeCapacity"
eumTypes[0x0001ADC1] = "eumIStillWaterDepth"
eumTypes[0x0001ADC2] = "eumITotalWaterDepth"
eumTypes[0x0001ADC3] = "eumIMaxWaveHeight"
eumTypes[0x0001ADC4] = "eumIIceConcentration"
eumTypes[0x0001ADC5] = "eumIWindFrictionSpeed"
eumTypes[0x0001ADC6] = "eumIRoughnessLength"
eumTypes[0x0001ADC7] = "eumIWindDragCoefficient"
eumTypes[0x0001ADC8] = "eumICharnockConstant"
eumTypes[0x0001ADC9] = "eumIBreakingParameterGamma"
eumTypes[0x0001ADCA] = "eumIThresholdPeriod"
eumTypes[0x0001ADCB] = "eumICourantNumber"
eumTypes[0x0001ADCC] = "eumITimeStepFactor"
eumTypes[0x0001ADCD] = "eumIElementLength"
eumTypes[0x0001ADCE] = "eumIElementArea"
eumTypes[0x0001ADCF] = "eumIRollerAngle"
eumTypes[0x0001ADD0] = "eumIRateBedLevelChange"
eumTypes[0x0001ADD1] = "eumIBedLevelChange"
eumTypes[0x0001ADD2] = "eumISedimentTransportDirection"
eumTypes[0x0001ADD3] = "eumIWaveActionDensity"
eumTypes[0x0001ADD4] = "eumIZeroMomentWaveAction"
eumTypes[0x0001ADD5] = "eumIFirstMomentWaveAction"
eumTypes[0x0001ADD6] = "eumIBedMass"
eumTypes[0x0001ADD7] = "eumIEPANETWaterQuality"
eumTypes[0x0001ADD8] = "eumIEPANETStatus"
eumTypes[0x0001ADD9] = "eumIEPANETSetting"
eumTypes[0x0001ADDA] = "eumIEPANETReactionRate"
eumTypes[0x0001ADDB] = "eumIFRDischarge"
eumTypes[0x0001ADDC] = "eumISRDischarge"
eumTypes[0x0001ADDD] = "eumIAveSediTransportPerLengthUnit"
eumTypes[0x0001ADDE] = "eumIValveSetting"
eumTypes[0x0001ADDF] = "eumIWaveEnergyDensity"
eumTypes[0x0001ADE0] = "eumIWaveEnergyDistribution"
eumTypes[0x0001ADE1] = "eumIWaveEnergy"
eumTypes[0x0001ADE2] = "eumIRadiationMeltingCoefficient"
eumTypes[0x0001ADE3] = "eumIRainMeltingCoefficientPerDegree"
eumTypes[0x0001AE14] = "eumIElectricCurrent"

eumUnits = {}
eumUnits[0x000003E8] = "eumUmeter"
eumUnits[0x000003E9] = "eumUkilometer"
eumUnits[0x000003EA] = "eumUmillimeter"
eumUnits[0x000003EC] = "eumUinch"
eumUnits[0x000003EB] = "eumUfeet"
eumUnits[0x000003EE] = "eumUyard"
eumUnits[0x000003ED] = "eumUmile"
eumUnits[0x000003EF] = "eumUcentimeter"
eumUnits[0x000003F0] = "eumUmicrometer"
eumUnits[0x000003F1] = "eumUnauticalmile"
eumUnits[0x000003F2] = "eumUmillifeet"
eumUnits[0x000003F3] = "eumULiterPerM2"
eumUnits[0x000003F4] = "eumUMilliMeterD50"
eumUnits[0x000004B0] = "eumUkilogram"
eumUnits[0x000004B1] = "eumUgram"
eumUnits[0x000004B2] = "eumUmilligram"
eumUnits[0x000004B3] = "eumUmicrogram"
eumUnits[0x000004B4] = "eumUton"
eumUnits[0x000004B5] = "eumUkiloton"
eumUnits[0x000004B6] = "eumUmegaton"
eumUnits[0x000004B7] = "eumUPound"
eumUnits[0x00000578] = "eumUsec"
eumUnits[0x00000579] = "eumUminute"
eumUnits[0x0000057A] = "eumUhour"
eumUnits[0x0000057B] = "eumUday"
eumUnits[0x0000057C] = "eumUyear"
eumUnits[0x0000057D] = "eumUmonth"
eumUnits[0x00000C80] = "eumUm2"
eumUnits[0x00000C81] = "eumUm3PerM"
eumUnits[0x00000C82] = "eumUacre"
eumUnits[0x00000C83] = "eumUft2"
eumUnits[0x00000C84] = "eumUha"
eumUnits[0x00000C85] = "eumUkm2"
eumUnits[0x00000C86] = "eumUmi2"
eumUnits[0x00000C87] = "eumUft3PerFt"
eumUnits[0x00000640] = "eumUm3"
eumUnits[0x00000641] = "eumUliter"
eumUnits[0x00000642] = "eumUmilliliter"
eumUnits[0x00000643] = "eumUft3"
eumUnits[0x00000644] = "eumUgal"
eumUnits[0x00000645] = "eumUmgal"
eumUnits[0x00000646] = "eumUkm3"
eumUnits[0x00000647] = "eumUacft"
eumUnits[0x00000648] = "eumUMegaGal"
eumUnits[0x00000649] = "eumUMegaLiter"
eumUnits[0x0000064A] = "eumUTenTo6m3"
eumUnits[0x0000064B] = "eumUm3PerCurrency"
eumUnits[0x0000064C] = "eumUgalUK"
eumUnits[0x0000064D] = "eumUMegagalUK"
eumUnits[0x00000708] = "eumUm3PerSec"
eumUnits[0x00000709] = "eumUft3PerSec"
eumUnits[0x0000070A] = "eumUMlPerDay"
eumUnits[0x0000070B] = "eumUMgalPerDay"
eumUnits[0x0000070C] = "eumUacftPerDay"
eumUnits[0x0000070D] = "eumUm3PerYear"
eumUnits[0x0000070E] = "eumUGalPerDayPerHead"
eumUnits[0x0000070F] = "eumULiterPerDayPerHead"
eumUnits[0x00000710] = "eumUm3PerSecPerHead"
eumUnits[0x00000711] = "eumUliterPerPersonPerDay"
eumUnits[0x00000712] = "eumUm3PerDay"
eumUnits[0x00000713] = "eumUGalPerSec"
eumUnits[0x00000714] = "eumUGalPerDay"
eumUnits[0x00000715] = "eumUGalPerYear"
eumUnits[0x00000716] = "eumUft3PerDay"
eumUnits[0x00000717] = "eumUft3PerYear"
eumUnits[0x00000718] = "eumUm3PerMinute"
eumUnits[0x00000719] = "eumUft3PerMin"
eumUnits[0x0000071A] = "eumUGalPerMin"
eumUnits[0x0000071B] = "eumUliterPerSec"
eumUnits[0x0000071C] = "eumUliterPerMin"
eumUnits[0x0000071D] = "eumUm3PerHour"
eumUnits[0x0000071E] = "eumUgalUKPerDay"
eumUnits[0x0000071F] = "eumUMgalUKPerDay"
eumUnits[0x00000720] = "eumUft3PerDayPerHead"
eumUnits[0x00000721] = "eumUm3PerDayPerHead"
eumUnits[0x00000722] = "eumUGalUKPerSec"
eumUnits[0x00000723] = "eumUGalUKPerYear"
eumUnits[0x00000724] = "eumUGalUKPerDayPerHead"
eumUnits[0x000007D0] = "eumUmeterPerSec"
eumUnits[0x000007D1] = "eumUmillimeterPerHour"
eumUnits[0x000007D2] = "eumUfeetPerSec"
eumUnits[0x000007D3] = "eumUliterPerSecPerKm2"
eumUnits[0x000007D4] = "eumUmillimeterPerDay"
eumUnits[0x000007D5] = "eumUacftPerSecPerAcre"
eumUnits[0x000007D6] = "eumUmeterPerDay"
eumUnits[0x000007D7] = "eumUft3PerSecPerMi2"
eumUnits[0x000007D8] = "eumUmeterPerHour"
eumUnits[0x000007D9] = "eumUfeetPerDay"
eumUnits[0x000007DA] = "eumUmillimeterPerMonth"
eumUnits[0x000007DB] = "eumUinchPerSec"
eumUnits[0x000007DC] = "eumUmeterPerMinute"
eumUnits[0x000007DD] = "eumUfeetPerMinute"
eumUnits[0x000007DE] = "eumUinchPerMinute"
eumUnits[0x000007DF] = "eumUfeetPerHour"
eumUnits[0x000007E0] = "eumUinchPerHour"
eumUnits[0x000007E1] = "eumUmillimeterPerSecond"
eumUnits[0x000007E2] = "eumUcmPerHour"
eumUnits[0x000007E3] = "eumUknot"
eumUnits[0x000007E4] = "eumUmilePerHour"
eumUnits[0x000007E5] = "eumUkilometerPerHour"
eumUnits[0x000007E6] = "eumUAcreFeetPerDayPerAcre"
eumUnits[0x000007E7] = "eumUCentiMeterPerSecond"
eumUnits[0x000007E8] = "eumUCubicFeetPerSecondPerAcre"
eumUnits[0x000007E9] = "eumUCubicMeterPerDayPerHectar"
eumUnits[0x000007EA] = "eumUCubicMeterPerHourPerHectar"
eumUnits[0x000007EB] = "eumUCubicMeterPerSecondPerHectar"
eumUnits[0x000007EC] = "eumUGallonPerMinutePerAcre"
eumUnits[0x000007ED] = "eumULiterPerMinutePerHectar"
eumUnits[0x000007EE] = "eumULiterPerSecondPerHectar"
eumUnits[0x000007EF] = "eumUMicroMeterPerSecond"
eumUnits[0x000007F0] = "eumUMillionGalPerDayPerAcre"
eumUnits[0x000007F1] = "eumUMillionGalUKPerDayPerAcre"
eumUnits[0x000007F2] = "eumUMillionLiterPerDayPerHectar"
eumUnits[0x00000834] = "eumUMeterPerSecondPerSecond"
eumUnits[0x00000835] = "eumUFeetPerSecondPerSecond"
eumUnits[0x00000898] = "eumUkiloGramPerM3"
eumUnits[0x00000899] = "eumUmicroGramPerM3"
eumUnits[0x0000089A] = "eumUmilliGramPerM3"
eumUnits[0x0000089B] = "eumUgramPerM3"
eumUnits[0x0000089C] = "eumUmicroGramPerL"
eumUnits[0x0000089D] = "eumUmilliGramPerL"
eumUnits[0x0000089E] = "eumUgramPerL"
eumUnits[0x0000089F] = "eumUPoundPerCubicFeet"
eumUnits[0x000008A0] = "eumUtonPerM3"
eumUnits[0x000008FC] = "eumUKiloGramPerMeterPerSecond"
eumUnits[0x000008FD] = "eumUPascalSecond"
eumUnits[0x00000960] = "eumUradian"
eumUnits[0x00000961] = "eumUdegree"
eumUnits[0x00000962] = "eumUDegreeNorth50"
eumUnits[0x00000A28] = "eumUperDay"
eumUnits[0x00000A29] = "eumUpercentPerDay"
eumUnits[0x00000A2A] = "eumUhertz"
eumUnits[0x00000A2B] = "eumUperHour"
eumUnits[0x00000A2C] = "eumUcurrencyPerYear"
eumUnits[0x00000A2D] = "eumUperSec"
eumUnits[0x00000A2E] = "eumUbillionPerDay"
eumUnits[0x00000A2F] = "eumUtrillionPerYear"
eumUnits[0x00000A30] = "eumUSquareMeterPerSecondPerHectar"
eumUnits[0x00000A31] = "eumUSquareFeetPerSecondPerAcre"
eumUnits[0x00000A32] = "eumURevolutionPerMinute"
eumUnits[0x00000A33] = "eumUpercentPerHour"
eumUnits[0x00000A35] = "eumUpercentPerSecond"
eumUnits[0x00000AF0] = "eumUdegreeCelsius"
eumUnits[0x00000AF1] = "eumUdegreeFahrenheit"
eumUnits[0x00000AF2] = "eumUdegreeKelvin"
eumUnits[0x00000B22] = "eumUperDegreeCelsius"
eumUnits[0x00000B23] = "eumUperDegreeFahrenheit"
eumUnits[0x00000B54] = "eumUdeltaDegreeCelsius"
eumUnits[0x00000B55] = "eumUdeltaDegreeFahrenheit"
eumUnits[0x00000BB8] = "eumUmillPer100ml"
eumUnits[0x00000BB9] = "eumUPer100ml"
eumUnits[0x00000BBA] = "eumUperLiter"
eumUnits[0x00000BBB] = "eumUperM3"
eumUnits[0x00000BBC] = "eumUperMilliliter"
eumUnits[0x00000D48] = "eumUEPerM2PerDay"
eumUnits[0x00000D49] = "eumUThousandPerM2PerDay"
eumUnits[0x00000D4A] = "eumUPerM2PerSec"
eumUnits[0x00000E10] = "eumUMeter2One3rdPerSec"
eumUnits[0x00000E11] = "eumUFeet2One3rdPerSec"
eumUnits[0x00000ED8] = "eumUSecPerMeter2One3rd"
eumUnits[0x00000ED9] = "eumUSecPerFeet2One3rd"
eumUnits[0x00000FA0] = "eumUMeter2OneHalfPerSec"
eumUnits[0x00000FA1] = "eumUFeet2OneHalfPerSec"
eumUnits[0x00001068] = "eumUkilogramPerSec"
eumUnits[0x00001069] = "eumUmicrogramPerSec"
eumUnits[0x0000106A] = "eumUmilligramPerSec"
eumUnits[0x0000106B] = "eumUgramPerSec"
eumUnits[0x0000106C] = "eumUkilogramPerHour"
eumUnits[0x0000106D] = "eumUkilogramPerDay"
eumUnits[0x0000106E] = "eumUgramPerDay"
eumUnits[0x0000106F] = "eumUkilogramPerYear"
eumUnits[0x00001070] = "eumUGramPerMinute"
eumUnits[0x00001071] = "eumUKiloGramPerPersonPerDay"
eumUnits[0x00001072] = "eumUKilogramPerMinute"
eumUnits[0x00001074] = "eumUPoundPerDay"
eumUnits[0x00001075] = "eumUPoundPerHour"
eumUnits[0x00001076] = "eumUPoundPerMinute"
eumUnits[0x00001077] = "eumUPoundPerSecond"
eumUnits[0x00001078] = "eumUPoundPerPersonPerDay"
eumUnits[0x00001079] = "eumUPoundPerYear"
eumUnits[0x0000107A] = "eumUTonPerYear"
eumUnits[0x0000107B] = "eumUTonPerDay"
eumUnits[0x00001130] = "eumUgramPerM2"
eumUnits[0x00001131] = "eumUkilogramPerM"
eumUnits[0x00001132] = "eumUkilogramPerM2"
eumUnits[0x00001133] = "eumUkilogramPerHa"
eumUnits[0x00001134] = "eumUmilligramPerM2"
eumUnits[0x00001135] = "eumUPoundPerAcre"
eumUnits[0x00001194] = "eumUgramPerM2PerDay"
eumUnits[0x00001195] = "eumUgramPerM2PerSec"
eumUnits[0x00001196] = "eumUkilogramPerHaPerHour"
eumUnits[0x00001197] = "eumUkilogramPerM2PerSec"
eumUnits[0x00001198] = "eumUKiloGramPerHectarPerDay"
eumUnits[0x00001199] = "eumUPoundPerAcrePerDay"
eumUnits[0x0000119A] = "eumUkilogramPerM2PerDay"
eumUnits[0x000011F8] = "eumUgramPerM3PerHour"
eumUnits[0x000011F9] = "eumUgramPerM3PerDay"
eumUnits[0x000011FA] = "eumUgramPerM3PerSec"
eumUnits[0x000011FB] = "eumUMilliGramPerLiterPerDay"
eumUnits[0x0000125C] = "eumUm3PerSecPerM"
eumUnits[0x0000125D] = "eumUm3PerYearPerM"
eumUnits[0x0000125E] = "eumUm2PerSec"
eumUnits[0x0000125F] = "eumUTen2Minus6m2PerSec"
eumUnits[0x00001260] = "eumUft2PerSec"
eumUnits[0x00001261] = "eumUTen2Minus6ft2PerSec"
eumUnits[0x00001262] = "eumUm3PerSecPer10mm"
eumUnits[0x00001263] = "eumUft3PerSecPerInch"
eumUnits[0x00001264] = "eumUm2PerHour"
eumUnits[0x00001265] = "eumUm2PerDay"
eumUnits[0x00001266] = "eumUft2PerHour"
eumUnits[0x00001267] = "eumUft2PerDay"
eumUnits[0x00001268] = "eumUGalUKPerDayPerFeet"
eumUnits[0x00001269] = "eumUGalPerDayPerFeet"
eumUnits[0x0000126A] = "eumUGalPerMinutePerFeet"
eumUnits[0x0000126B] = "eumULiterPerDayPerMeter"
eumUnits[0x0000126C] = "eumULiterPerMinutePerMeter"
eumUnits[0x0000126D] = "eumULiterPerSecondPerMeter"
eumUnits[0x000012C1] = "eumUmmPerDay"
eumUnits[0x000012C2] = "eumUinPerDay"
eumUnits[0x000012C3] = "eumUm3PerKm2PerDay"
eumUnits[0x00001324] = "eumUwatt"
eumUnits[0x00001325] = "eumUkwatt"
eumUnits[0x00001326] = "eumUmwatt"
eumUnits[0x00001327] = "eumUgwatt"
eumUnits[0x00001328] = "eumUHorsePower"
eumUnits[0x00001388] = "eumUperMeter"
eumUnits[0x00001389] = "eumUpercentPer100meter"
eumUnits[0x0000138A] = "eumUpercentPer100feet"
eumUnits[0x0000138B] = "eumUperFeet"
eumUnits[0x0000138C] = "eumUperInch"
eumUnits[0x000013EC] = "eumUm3PerS2"
eumUnits[0x00001450] = "eumUm2SecPerRad"
eumUnits[0x00001451] = "eumUm2PerRad"
eumUnits[0x00001452] = "eumUm2Sec"
eumUnits[0x00001453] = "eumUm2PerDegree"
eumUnits[0x00001454] = "eumUm2Sec2PerRad"
eumUnits[0x00001455] = "eumUm2PerSecPerRad"
eumUnits[0x00001456] = "eumUm2SecPerDegree"
eumUnits[0x00001457] = "eumUm2Sec2PerDegree"
eumUnits[0x00001458] = "eumUm2PerSecPerDegree"
eumUnits[0x000014B4] = "eumUmilliGramPerL2OneHalfPerDay"
eumUnits[0x000014B5] = "eumUmilliGramPerL2OneHalfPerHour"
eumUnits[0x00001518] = "eumUNewtonPerSqrMeter"
eumUnits[0x00001519] = "eumUkiloNewtonPerSqrMeter"
eumUnits[0x0000157C] = "eumUNewtonPerM3"
eumUnits[0x0000157D] = "eumUkiloNewtonPerM3"
eumUnits[0x000015E0] = "eumUJoule"
eumUnits[0x000015E1] = "eumUkiloJoule"
eumUnits[0x000015E2] = "eumUmegaJoule"
eumUnits[0x000015E3] = "eumUgigaJoule"
eumUnits[0x000015E4] = "eumUteraJoule"
eumUnits[0x000015E5] = "eumUKiloWattHour"
eumUnits[0x000015E6] = "eumUWattSecond"
eumUnits[0x00001644] = "eumUKileJoulePerM2PerHour"
eumUnits[0x00001645] = "eumUKileJoulePerM2PerDay"
eumUnits[0x00001646] = "eumUmegaJoulePerM2PerDay"
eumUnits[0x0000164E] = "eumUm2mmPerKiloJoule"
eumUnits[0x0000164F] = "eumUm2mmPerMegaJoule"
eumUnits[0x000016A8] = "eumUMilliMeterPerDegreeCelsiusPerDay"
eumUnits[0x000016A9] = "eumUMilliMeterPerDegreeCelsiusPerHour"
eumUnits[0x000016AA] = "eumUInchPerDegreeFahrenheitPerDay"
eumUnits[0x000016AB] = "eumUInchPerDegreeFahrenheitPerHour"
eumUnits[0x0000170C] = "eumUPerDegreeCelsiusPerDay"
eumUnits[0x0000170D] = "eumUPerDegreeCelsiusPerHour"
eumUnits[0x0000170E] = "eumUPerDegreeFahrenheitPerDay"
eumUnits[0x0000170F] = "eumUPerDegreeFahrenheitPerHour"
eumUnits[0x00001770] = "eumUDegreeCelsiusPer100meter"
eumUnits[0x00001771] = "eumUDegreeCelsiusPer100feet"
eumUnits[0x00001772] = "eumUDegreeFahrenheitPer100meter"
eumUnits[0x00001773] = "eumUDegreeFahrenheitPer100feet"
eumUnits[0x000017D4] = "eumUPascal"
eumUnits[0x000017D5] = "eumUhectoPascal"
eumUnits[0x000017D6] = "eumUkiloPascal"
eumUnits[0x000017D7] = "eumUpsi"
eumUnits[0x000017D8] = "eumUMegaPascal"
eumUnits[0x000017D9] = "eumUMetresOfWater"
eumUnits[0x000017DA] = "eumUFeetOfWater"
eumUnits[0x000017DB] = "eumUBar"
eumUnits[0x00001838] = "eumUPSU"
eumUnits[0x0000189C] = "eumUPSUM3PerSec"
eumUnits[0x0000189D] = "eumUDegreeCelsiusM3PerSec"
eumUnits[0x0000189E] = "eumUConcNonDimM3PerSec"
eumUnits[0x00001900] = "eumUm2PerSec2"
eumUnits[0x00001901] = "eumUm2PerSec3"
eumUnits[0x00001964] = "eumUJoulePerKilogram"
eumUnits[0x000019C8] = "eumUWattPerM2"
eumUnits[0x00001A2C] = "eumUJouleKilogramPerKelvin"
eumUnits[0x00001A90] = "eumUm3PerSec2"
eumUnits[0x00001A91] = "eumUft3PerSec2"
eumUnits[0x00001A92] = "eumUAcreFeetPerDayPerSecond"
eumUnits[0x00001A93] = "eumUMillionGalUKPerDayPerSecond"
eumUnits[0x00001A94] = "eumUMillionGalPerDayPerSecond"
eumUnits[0x00001A95] = "eumUGalPerMinutePerSecond"
eumUnits[0x00001A96] = "eumUCubicMeterPerDayPerSecond"
eumUnits[0x00001A97] = "eumUCubicMeterPerHourPerSecond"
eumUnits[0x00001A98] = "eumUMillionLiterPerDayPerSecond"
eumUnits[0x00001A99] = "eumULiterPerMinutePerSecond"
eumUnits[0x00001A9A] = "eumULiterPerSecondSquare"
eumUnits[0x00001AF4] = "eumUm3Pergram"
eumUnits[0x00001AF5] = "eumULiterPergram"
eumUnits[0x00001AF6] = "eumUm3PerMilligram"
eumUnits[0x00001AF7] = "eumUm3PerMicrogram"
eumUnits[0x00001B58] = "eumUNewton"
eumUnits[0x00001BBC] = "eumUm2PerHertz"
eumUnits[0x00001BBD] = "eumUm2PerHertzPerDegree"
eumUnits[0x00001BBE] = "eumUm2PerHertzPerRadian"
eumUnits[0x00001C20] = "eumUm2PerHertz2"
eumUnits[0x00001C21] = "eumUm2PerHertz2PerDegree"
eumUnits[0x00001C22] = "eumUm2PerHertz2PerRadian"
eumUnits[0x00001FA4] = "eumUKilogramPerS2"
eumUnits[0x0000238C] = "eumUm2Perkilogram"
eumUnits[0x000023F0] = "eumUPerMeterPerSecond"
eumUnits[0x000023F1] = "eumUMeterPerSecondPerHectar"
eumUnits[0x000023F2] = "eumUFeetPerSecondPerAcre"
eumUnits[0x00002454] = "eumUPerSquareMeter"
eumUnits[0x00002455] = "eumUPerAcre"
eumUnits[0x00002456] = "eumUPerHectar"
eumUnits[0x00002486] = "eumUPerCubicMeter"
eumUnits[0x00002487] = "eumUCurrencyPerCubicMeter"
eumUnits[0x00002488] = "eumUCurrencyPerCubicFeet"
eumUnits[0x000024B8] = "eumUSquareMeterPerSecond"
eumUnits[0x000024B9] = "eumUSquareFeetPerSecond"
eumUnits[0x00002580] = "eumUPerWatt"
eumUnits[0x000025E4] = "eumUNewtonMeter"
eumUnits[0x00002648] = "eumUNewtonMeterSecond"
eumUnits[0x000026AC] = "eumUNewtonPerMeterPerSecond"
eumUnits[0x000182B8] = "eumUOnePerOne"
eumUnits[0x000182B9] = "eumUPerCent"
eumUnits[0x000182BA] = "eumUPerThousand"
eumUnits[0x000182BB] = "eumUHoursPerDay"
eumUnits[0x000182BC] = "eumUPerson"
eumUnits[0x000182BD] = "eumUGramPerGram"
eumUnits[0x000182BE] = "eumUGramPerKilogram"
eumUnits[0x000182BF] = "eumUMilligramPerGram"
eumUnits[0x000182C0] = "eumUMilligramPerKilogram"
eumUnits[0x000182C1] = "eumUMicrogramPerGram"
eumUnits[0x000182C2] = "eumUKilogramPerKilogram"
eumUnits[0x000182C3] = "eumUM3PerM3"
eumUnits[0x000182C4] = "eumULiterPerM3"
eumUnits[0x000182C5] = "eumUintCode"
eumUnits[0x000182C6] = "eumUMeterPerMeter"
eumUnits[0x000182C7] = "eumUperminute"
eumUnits[0x00000A34] = "eumUpercentPerMinute"
eumUnits[0x000182C8] = "eumUpermonth"
eumUnits[0x000182C9] = "eumUperyear"
eumUnits[0x0001831C] = "eumUampere"
eumUnits[0x0001831D] = "eumUMilliAmpere"
eumUnits[0x00000000] = "eumUUnitUndefined"

