#!/usr/bin/python3

import json
import os
import cgi
import psycopg2
import sys
from psycopg2.extras import RealDictCursor
import urllib

def deleteRatingCurves(periods, segments):
    success = True
    messages = []
    file = open("../.credentials/.postgresadmin")
    connection_string = file.readline()
    pg = psycopg2.connect(connection_string)
    query = pg.cursor(cursor_factory=RealDictCursor)
    try:
        sql = "BEGIN;"
        query.execute(sql)
        # segment deletes
        for segment in segments:
            periodkey = segment.get('periodkey')
            segmentkey = segment.get('segmentkey')
            sql = "DELETE FROM ratingcurve.segment WHERE segmentkey=" + str(segmentkey) + ";"
            query.execute(sql)
        # period deletes
        for period in periods:
            periodkey = period.get('periodkey')
            sql = "DELETE FROM ratingcurve.period WHERE periodkey=" + str(periodkey) + ";"
            query.execute(sql)
        sql = "COMMIT;"
        query.execute(sql)
        
    except Exception as err:
        success = False
        messages.append(str(err) + ".")
        messages.append("Failed to delete the selected majisys rating curves!")
    return success, messages

# main()

# GET/POST
querystring = os.environ.get('QUERY_STRING')
querystring = querystring.split('&')
query = {}
for qs in querystring:
    qs = qs.split('=')
    if len(qs) > 1:
        query[qs[0].lower()] = qs[1]
periods = query.get('periods')
if periods is None: # POST
    contentlength = os.environ.get('CONTENT_LENGTH', 0)
    contentlength = int(contentlength)
    if contentlength > 0:
        querystring = sys.stdin.read(contentlength)
        querystring = querystring.split('&')
        query = {}
        for qs in querystring:
            qs = qs.split('=')
            if len(qs) > 1:
                query[qs[0].lower()] = qs[1]
        periods = query.get('periods')
segments = query.get('segments')
periods = urllib.parse.unquote(periods)
periods = json.loads(periods)
segments = urllib.parse.unquote(segments)
segments = json.loads(segments)
success, messages = deleteRatingCurves(periods, segments)

print("Content-type: application/json")
print()
if success:
    print("{\"success\": true, \"messages\": " + json.dumps(messages) + "}")
else:
    print("{\"success\": false, \"messages\": " + json.dumps(messages) + "}")
